/*
    EXIF ReGenerate
    Copyright (C) 2010 - 2011 Ingemar Ceicer
    http://ceicer.org/ingemar/
    programmering1 (at) ceicer (dot) org

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

#ifndef SETTIME_H
#define SETTIME_H

#include <QDialog>
#include <QPixmap>
#include <QDateEdit>
#include <QTimeEdit>
#include <QAction>
#include <string>
#include <sstream>


#include "mainwindow.h"
#include "checkupdate.h"
#include "exif.h"


namespace Ui {
    class Settime;
}

class Settime : public QDialog
{
    Q_OBJECT

public:
    explicit Settime(QWidget *parent = 0);
    Settime(QString s, QDate datum, QTime tid);
    ~Settime();


private slots:
   void  setDT();
   void  setUndo();
   void  stang_();


private:
    Ui::Settime *ui;
    QLabel *imageLbl;
    QDateEdit *dateedit;
    QTimeEdit *timeedit;
    QDateTime *dt_old;

    QPushButton *ok;
    QPushButton *undo;
    QPushButton *stang;
    Config *k;
    QAction *actionSetDT;
    QAction *actionSetUndo;

    void closeEvent ( QCloseEvent * event );

};

#endif // SETTIME_H
